Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.graph
Class VoidAttribute

    java.lang.Object
      de.grogra.graph.Attribute<java.lang.Void>
          de.grogra.graph.VoidAttribute

All Implemented Interfaces:
  Described, KeyDescription, java.lang.Comparable

    public class VoidAttribute

extends Attribute<java.lang.Void>

Field Summary

Fields inherited from class de.grogra.graph.Attribute
`ATTRIBUTE_0, attrType, quantity`

Fields inherited from interface de.grogra.util.Described
`ACCELERATOR_KEY, ICON, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, TITLE`

Constructor Summary
`VoidAttribute()`

Method Summary
`java.lang.Void` | `get(java.lang.Object o, boolean asNode, GraphState gs)` Returns the value of this attribute for the given object in the given graph state.
`java.lang.Void` | `set(java.lang.Object o, boolean asNode, java.lang.Object value, GraphState gs)` Sets the value of this attribute for the given `object` to the given `value`

Methods inherited from class de.grogra.graph.Attribute
`compareTo, find, forName, getAttributeState, getDescription, getId, getKey, getQuantity, getSimpleName, getType, hashCode, initializeI18N, initializeName, isContained, isDerived, isWritable, setAttributeState, toArray, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VoidAttribute

    public VoidAttribute()

Method Detail

### get

    public final java.lang.Void get(java.lang.Object o,
                                    boolean asNode,
                                    GraphState gs)

  Description copied from class: `Attribute`
  Returns the value of this attribute for the given object in the given graph state. If necessary, the value is wrapped in one of the standard wrapper classes.

  Specified by:
    `get` in class `Attribute<java.lang.Void>`
  Parameters:
    `o` - the object
    `asNode` - `true` if `object` is a node, `false` if `object` is an edge
    `gs` - the graph state context
  Returns:
    the value of this attribute for the given object

### set

    public final java.lang.Void set(java.lang.Object o,
                                    boolean asNode,
                                    java.lang.Object value,
                                    GraphState gs)

  Description copied from class: `Attribute`
  Sets the value of this attribute for the given `object` to the given `value`

  Specified by:
    `set` in class `Attribute<java.lang.Void>`
  Parameters:
    `o` - the object
    `asNode` - `true` if `object` is a node, `false` if `object` is an edge
    `value` - the new value of the attribute for the object
    `gs` - the graph state context

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD